package com.steerinfo.ems.trmindexitem.model;

import com.steerinfo.framework.model.IBasePO;
import io.swagger.annotations.ApiModelProperty;

public class TRmIndexItem implements IBasePO<String> {
    /**
     * 项目ID(ITEMID,VARCHAR,40)
     */
    @ApiModelProperty(value="项目ID",required=true)
    private String itemid;

    /**
     * 项目名称(ITEMNAME,VARCHAR,200)
     */
    @ApiModelProperty(value="项目名称",required=false)
    private String itemname;

    /**
     * 项目描述(ITEMDESC,VARCHAR,100)
     */
    @ApiModelProperty(value="项目描述",required=false)
    private String itemdesc;

    /**
     * 用途类型(ITEMTYPE,VARCHAR,10)
     */
    @ApiModelProperty(value="用途类型",required=false)
    private String itemtype;

    /**
     * 指标类型(INDEXTYPE,VARCHAR,40)
     */
    @ApiModelProperty(value="指标类型",required=false)
    private String indextype;

    /**
     * 类型1(TYPE1,VARCHAR,40)
     */
    @ApiModelProperty(value="类型1",required=false)
    private String type1;

    /**
     * 类型2(TYPE2,VARCHAR,40)
     */
    @ApiModelProperty(value="类型2",required=false)
    private String type2;

    /**
     * 类型3(TYPE3,VARCHAR,40)
     */
    @ApiModelProperty(value="类型3",required=false)
    private String type3;

    /**
     * 类型4(TYPE4,VARCHAR,40)
     */
    @ApiModelProperty(value="类型4",required=false)
    private String type4;

    /**
     * 能介(ENERGYID,VARCHAR,40)
     */
    @ApiModelProperty(value="能介",required=false)
    private String energyid;

    /**
     * 工序(WORKPROCID,VARCHAR,40)
     */
    @ApiModelProperty(value="工序",required=false)
    private String workprocid;

    /**
     * 工厂(FACTORYID,VARCHAR,40)
     */
    @ApiModelProperty(value="工厂",required=false)
    private String factoryid;

    /**
     * 启用(USEFLAG,VARCHAR,1)
     */
    @ApiModelProperty(value="启用",required=false)
    private String useflag;

    /**
     * 单位(UNITID,VARCHAR,40)
     */
    @ApiModelProperty(value="单位",required=false)
    private String unitid;

    /**
     * 数值精度(DIGITS,DECIMAL,0)
     */
    @ApiModelProperty(value="数值精度",required=false)
    private Short digits;

    /**
     * 执行顺序(SEQNO,DECIMAL,0)
     */
    @ApiModelProperty(value="执行顺序",required=false)
    private Integer seqno;

    /**
     * 父级ID(PARENTID,VARCHAR,40)
     */
    @ApiModelProperty(value="父级ID",required=false)
    private String parentid;

    /**
     * 节点类型(ITEMFLAG,VARCHAR,1)
     */
    @ApiModelProperty(value="节点类型",required=false)
    private String itemflag;

    /**
     * 备注(BZ,VARCHAR,200)
     */
    @ApiModelProperty(value="备注",required=false)
    private String bz;

    /**
     * 最小时间粒度(MINTIMEGRANID,VARCHAR,20)
     */
    @ApiModelProperty(value="最小时间粒度",required=false)
    private String mintimegranid;

    /**
     * 超标警告值(WARNVALUE,DECIMAL,0)
     */
    @ApiModelProperty(value="超标警告值",required=false)
    private Short warnvalue;

    /**
     * 属性代码(PROPERTYID,VARCHAR,40)
     */
    @ApiModelProperty(value="属性代码",required=false)
    private String propertyid;

    /**
     * 创建人(CREATEMAN,VARCHAR,40)
     */
    @ApiModelProperty(value="创建人",required=false)
    private String createman;

    /**
     * 创建时间(CREATETIME,VARCHAR,40)
     */
    @ApiModelProperty(value="创建时间",required=false)
    private String createtime;

    /**
     * 修改人(UPDATEMAN,VARCHAR,40)
     */
    @ApiModelProperty(value="修改人",required=false)
    private String updateman;

    /**
     * 修改时间(UPDATETIME,VARCHAR,40)
     */
    @ApiModelProperty(value="修改时间",required=false)
    private String updatetime;

    /**
     * 序号(CODE,DECIMAL,0)
     */
    @ApiModelProperty(value="序号",required=false)
    private Integer code;

    /**
     * 波动系数(%)(FLUVALUE,DECIMAL,0)
     */
    @ApiModelProperty(value="波动系数(%)",required=false)
    private Integer fluvalue;

    /**
     * 波动关联对象(FLUITEMID,VARCHAR,40)
     */
    @ApiModelProperty(value="波动关联对象",required=false)
    private String fluitemid;

    private static final long serialVersionUID = 1L;

    @Override
    public String getId() {
        return this.itemid;
    }

    @Override
    public void setId(String itemid) {
        this.itemid = itemid == null ? null : itemid.trim();
    }

    public String getItemid() {
        return itemid;
    }

    public void setItemid(String itemid) {
        this.itemid = itemid == null ? null : itemid.trim();
    }

    public String getItemname() {
        return itemname;
    }

    public void setItemname(String itemname) {
        this.itemname = itemname == null ? null : itemname.trim();
    }

    public String getItemdesc() {
        return itemdesc;
    }

    public void setItemdesc(String itemdesc) {
        this.itemdesc = itemdesc == null ? null : itemdesc.trim();
    }

    public String getItemtype() {
        return itemtype;
    }

    public void setItemtype(String itemtype) {
        this.itemtype = itemtype == null ? null : itemtype.trim();
    }

    public String getIndextype() {
        return indextype;
    }

    public void setIndextype(String indextype) {
        this.indextype = indextype == null ? null : indextype.trim();
    }

    public String getType1() {
        return type1;
    }

    public void setType1(String type1) {
        this.type1 = type1 == null ? null : type1.trim();
    }

    public String getType2() {
        return type2;
    }

    public void setType2(String type2) {
        this.type2 = type2 == null ? null : type2.trim();
    }

    public String getType3() {
        return type3;
    }

    public void setType3(String type3) {
        this.type3 = type3 == null ? null : type3.trim();
    }

    public String getType4() {
        return type4;
    }

    public void setType4(String type4) {
        this.type4 = type4 == null ? null : type4.trim();
    }

    public String getEnergyid() {
        return energyid;
    }

    public void setEnergyid(String energyid) {
        this.energyid = energyid == null ? null : energyid.trim();
    }

    public String getWorkprocid() {
        return workprocid;
    }

    public void setWorkprocid(String workprocid) {
        this.workprocid = workprocid == null ? null : workprocid.trim();
    }

    public String getFactoryid() {
        return factoryid;
    }

    public void setFactoryid(String factoryid) {
        this.factoryid = factoryid == null ? null : factoryid.trim();
    }

    public String getUseflag() {
        return useflag;
    }

    public void setUseflag(String useflag) {
        this.useflag = useflag == null ? null : useflag.trim();
    }

    public String getUnitid() {
        return unitid;
    }

    public void setUnitid(String unitid) {
        this.unitid = unitid == null ? null : unitid.trim();
    }

    public Short getDigits() {
        return digits;
    }

    public void setDigits(Short digits) {
        this.digits = digits;
    }

    public String getParentid() {
        return parentid;
    }

    public void setParentid(String parentid) {
        this.parentid = parentid == null ? null : parentid.trim();
    }

    public String getItemflag() {
        return itemflag;
    }

    public void setItemflag(String itemflag) {
        this.itemflag = itemflag == null ? null : itemflag.trim();
    }

    public String getBz() {
        return bz;
    }

    public void setBz(String bz) {
        this.bz = bz == null ? null : bz.trim();
    }

    public String getMintimegranid() {
        return mintimegranid;
    }

    public void setMintimegranid(String mintimegranid) {
        this.mintimegranid = mintimegranid == null ? null : mintimegranid.trim();
    }

    public Short getWarnvalue() {
        return warnvalue;
    }

    public void setWarnvalue(Short warnvalue) {
        this.warnvalue = warnvalue;
    }

    public String getPropertyid() {
        return propertyid;
    }

    public void setPropertyid(String propertyid) {
        this.propertyid = propertyid == null ? null : propertyid.trim();
    }

    public String getCreateman() {
        return createman;
    }

    public void setCreateman(String createman) {
        this.createman = createman == null ? null : createman.trim();
    }

    public String getCreatetime() {
        return createtime;
    }

    public void setCreatetime(String createtime) {
        this.createtime = createtime == null ? null : createtime.trim();
    }

    public String getUpdateman() {
        return updateman;
    }

    public void setUpdateman(String updateman) {
        this.updateman = updateman == null ? null : updateman.trim();
    }

    public String getUpdatetime() {
        return updatetime;
    }

    public void setUpdatetime(String updatetime) {
        this.updatetime = updatetime == null ? null : updatetime.trim();
    }

    public String getFluitemid() {
        return fluitemid;
    }

    public void setFluitemid(String fluitemid) {
        this.fluitemid = fluitemid == null ? null : fluitemid.trim();
    }
    
    public Integer getSeqno() {
		return seqno;
	}

	public void setSeqno(Integer seqno) {
		this.seqno = seqno;
	}

	public Integer getCode() {
		return code;
	}

	public void setCode(Integer code) {
		this.code = code;
	}

	public Integer getFluvalue() {
		return fluvalue;
	}

	public void setFluvalue(Integer fluvalue) {
		this.fluvalue = fluvalue;
	}

	@Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append(getClass().getSimpleName());
        sb.append(" [");
        sb.append("Hash = ").append(hashCode());
        sb.append(", itemid=").append(itemid);
        sb.append(", itemname=").append(itemname);
        sb.append(", itemdesc=").append(itemdesc);
        sb.append(", itemtype=").append(itemtype);
        sb.append(", indextype=").append(indextype);
        sb.append(", type1=").append(type1);
        sb.append(", type2=").append(type2);
        sb.append(", type3=").append(type3);
        sb.append(", type4=").append(type4);
        sb.append(", energyid=").append(energyid);
        sb.append(", workprocid=").append(workprocid);
        sb.append(", factoryid=").append(factoryid);
        sb.append(", useflag=").append(useflag);
        sb.append(", unitid=").append(unitid);
        sb.append(", digits=").append(digits);
        sb.append(", seqno=").append(seqno);
        sb.append(", parentid=").append(parentid);
        sb.append(", itemflag=").append(itemflag);
        sb.append(", bz=").append(bz);
        sb.append(", mintimegranid=").append(mintimegranid);
        sb.append(", warnvalue=").append(warnvalue);
        sb.append(", propertyid=").append(propertyid);
        sb.append(", createman=").append(createman);
        sb.append(", createtime=").append(createtime);
        sb.append(", updateman=").append(updateman);
        sb.append(", updatetime=").append(updatetime);
        sb.append(", code=").append(code);
        sb.append(", fluvalue=").append(fluvalue);
        sb.append(", fluitemid=").append(fluitemid);
        sb.append(", serialVersionUID=").append(serialVersionUID);
        sb.append("]");
        return sb.toString();
    }
}